package skyjed.resources;

public class SkyAttackRes extends PropertiesListLoader {

    private static SkyAttackRes instance = null;

    public static SkyAttackRes getInstance() {
        if(instance == null) {
            instance = new SkyAttackRes();
        }
        return instance;
    }

    private SkyAttackRes() {
        super("skyjed/resources/SkyAttack.properties");
    }

    public String getAttackName(int id) {
        return getValue(id);
    }

    public static class SkyAttackName {
        private int id;
        private String name;
        public SkyAttackName(int id, String name) {
            this.id = id;
            this.name = name;
        }
        public String toString() {
            return name + " [" + id + "]";
        }
        public int getId() {
            return id;
        }
        public String getName() {
            return name;
        }
    }

    public SkyAttackName[] getSkyAttackNameList() {
        String[] list = getValuesList();
        SkyAttackName[] ret = new SkyAttackName[list.length];
        for(int i=0; i<list.length; i++) {
            ret[i] = new SkyAttackName(i, list[i]);
        }
        return ret;
    }
}
