package skyjed.resources;

public class SkyItemRes extends PropertiesListLoader {

    private static SkyItemRes instance = null;

    public static SkyItemRes getInstance() {
        if(instance == null) {
            instance = new SkyItemRes();
        }
        return instance;
    }

    private SkyItemRes() {
        super("skyjed/resources/SkyItem.properties");
    }

    public String getItemName(int id) {
        return getValue(id);
    }

    public static class SkyItemName {
        private int id;
        private String name;
        public SkyItemName(int id, String name) {
            this.id = id;
            this.name = name;
        }
        public String toString() {
            return name + " [" + id + "]";
        }
        public int getId() {
            return id;
        }
        public String getName() {
            return name;
        }
    }

    public SkyItemName[] getSkyItemNameList() {
        String[] list = getValuesList();
        SkyItemName[] ret = new SkyItemName[list.length];
        for(int i=0; i<list.length; i++) {
            ret[i] = new SkyItemName(i, list[i]);
        }
        return ret;
    }
}
