package skyjed.resources;

public class SkyLocationRes extends PropertiesListLoader {

    private static SkyLocationRes instance = null;

    public static SkyLocationRes getInstance() {
        if(instance == null) {
            instance = new SkyLocationRes();
        }
        return instance;
    }

    private SkyLocationRes() {
        super("skyjed/resources/SkyLocation.properties");
    }

    public String getLocationName(int id) {
        return getValue(id);
    }

    public static class SkyLocationName {
        private int id;
        private String name;
        public SkyLocationName(int id, String name) {
            this.id = id;
            this.name = name;
        }
        public String toString() {
            return name + " [" + id + "]";
        }
        public int getId() {
            return id;
        }
        public String getName() {
            return name;
        }
    }

    public SkyLocationName[] getSkyLocationNameList() {
        String[] list = getValuesList();
        SkyLocationName[] ret = new SkyLocationName[list.length];
        for(int i=0; i<list.length; i++) {
            ret[i] = new SkyLocationName(i, list[i]);
        }
        return ret;
    }
}
