package skyjed.resources;

public class SkyCharsetRes {

    public static byte char2byte(char c) {
        return (byte) char2int(c);
    }

    private static int char2int(char c) {
        // @formatter:off
        switch(c) {
            case '\0': return 0x00;
            case ' ': return 0x20;
            case '!': return 0x21;
            case '"': return 0x22;
            case '#': return 0x23;
            case '$': return 0x24;
            case '%': return 0x25;
            case '&': return 0x26;
            case '\'': return 0x27;
            case '(': return 0x28;
            case ')': return 0x29;
            case '*': return 0x2A;
            case '+': return 0x2B;
            case ',': return 0x2C;
            case '-': return 0x2D;
            case '.': return 0x2E;
            case '/': return 0x2F;
            case '0': return 0x30;
            case '1': return 0x31;
            case '2': return 0x32;
            case '3': return 0x33;
            case '4': return 0x34;
            case '5': return 0x35;
            case '6': return 0x36;
            case '7': return 0x37;
            case '8': return 0x38;
            case '9': return 0x39;
            case ':': return 0x3A;
            case ';': return 0x3B;
            case '<': return 0x3C;
            case '=': return 0x3D;
            case '>': return 0x3E;
            case '?': return 0x3F;
            case '@': return 0x40;
            case 'A': return 0x41;
            case 'B': return 0x42;
            case 'C': return 0x43;
            case 'D': return 0x44;
            case 'E': return 0x45;
            case 'F': return 0x46;
            case 'G': return 0x47;
            case 'H': return 0x48;
            case 'I': return 0x49;
            case 'J': return 0x4A;
            case 'K': return 0x4B;
            case 'L': return 0x4C;
            case 'M': return 0x4D;
            case 'N': return 0x4E;
            case 'O': return 0x4F;
            case 'P': return 0x50;
            case 'Q': return 0x51;
            case 'R': return 0x52;
            case 'S': return 0x53;
            case 'T': return 0x54;
            case 'U': return 0x55;
            case 'V': return 0x56;
            case 'W': return 0x57;
            case 'X': return 0x58;
            case 'Y': return 0x59;
            case 'Z': return 0x5A;
            case '\\': return 0x5C;
            case ']': return 0x5D;
            case '^': return 0x5E;
            case '_': return 0x5F;
            case '`': return 0x60;
            case 'a': return 0x61;
            case 'b': return 0x62;
            case 'c': return 0x63;
            case 'd': return 0x64;
            case 'e': return 0x65;
            case 'f': return 0x66;
            case 'g': return 0x67;
            case 'h': return 0x68;
            case 'i': return 0x69;
            case 'j': return 0x6A;
            case 'k': return 0x6B;
            case 'l': return 0x6C;
            case 'm': return 0x6D;
            case 'n': return 0x6E;
            case 'o': return 0x6F;
            case 'p': return 0x70;
            case 'q': return 0x71;
            case 'r': return 0x72;
            case 's': return 0x73;
            case 't': return 0x74;
            case 'u': return 0x75;
            case 'v': return 0x76;
            case 'w': return 0x77;
            case 'x': return 0x78;
            case 'y': return 0x79;
            case 'z': return 0x7A;
            case '{': return 0x7B;
            case '|': return 0x7C;
            case '}': return 0x7D;
            case '€': return 0x80;
            //case '​…': return 0x85;
            case '†': return 0x86;
            case 'ˆ': return 0x88;
            case '‰': return 0x89;
            case 'Š': return 0x8A;
            case '‹': return 0x8B;
            case 'Œ': return 0x8C;
            case 'Ž': return 0x8E;
            case '•': return 0x90;
            case '‘': return 0x91;
            case '’': return 0x92;
            case '“': return 0x93;
            case '”': return 0x94;
            //case '•': return 0x95;
            case '~': return 0x98;
            case '™': return 0x99;
            case 'š': return 0x9A;
            case '›': return 0x9B;
            case 'œ': return 0x9C;
            //case '•': return 0x9D;
            case 'ž': return 0x9E;
            case 'Ÿ': return 0x9F;
            //case ' ': return 0xA0;
            case '¡': return 0xA1;
            case '¢': return 0xA2;
            case '£': return 0xA3;
            case '¤': return 0xA4;
            case '¥': return 0xA5;
            case '¦': return 0xA6;
            case '§': return 0xA7;
            case '¨': return 0xA8;
            case '©': return 0xA9;
            case 'ª': return 0xAA;
            case '«': return 0xAB;
            case '¬': return 0xAC;
            case '­': return 0xAD;
            case '®': return 0xAE;
            case '¯': return 0xAF;
            case '°': return 0xB0;
            case '±': return 0xB1;
            case '²': return 0xB2;
            case '³': return 0xB3;
            case '´': return 0xB4;
            case 'µ': return 0xB5;
            case '¶': return 0xB6;
            case '„': return 0xB7;
            case '‚': return 0xB8;
            case '¹': return 0xB9;
            case 'º': return 0xBA;
            case '»': return 0xBB;
            case '←': return 0xBC;
            case '♂': return 0xBD;
            case '♀': return 0xBE;
            case '¿': return 0xBF;
            case 'À': return 0xC0;
            case 'Á': return 0xC1;
            case 'Â': return 0xC2;
            case 'Ã': return 0xC3;
            case 'Ä': return 0xC4;
            case 'Å': return 0xC5;
            case 'Æ': return 0xC6;
            case 'Ç': return 0xC7;
            case 'È': return 0xC8;
            case 'É': return 0xC9;
            case 'Ê': return 0xCA;
            case 'Ë': return 0xCB;
            case 'Ì': return 0xCC;
            case 'Í': return 0xCD;
            case 'Î': return 0xCE;
            case 'Ï': return 0xCF;
            case 'Ð': return 0xD0;
            case 'Ñ': return 0xD1;
            case 'Ò': return 0xD2;
            case 'Ó': return 0xD3;
            case 'Ô': return 0xD4;
            case 'Õ': return 0xD5;
            case 'Ö': return 0xD6;
            case '×': return 0xD7;
            case 'Ø': return 0xD8;
            case 'Ù': return 0xD9;
            case 'Ú': return 0xDA;
            case 'Û': return 0xDB;
            case 'Ü': return 0xDC;
            case 'Ý': return 0xDD;
            case 'Þ': return 0xDE;
            case 'ß': return 0xDF;
            case 'à': return 0xE0;
            case 'á': return 0xE1;
            case 'â': return 0xE2;
            case 'ã': return 0xE3;
            case 'ä': return 0xE4;
            case 'å': return 0xE5;
            case 'æ': return 0xE6;
            case 'ç': return 0xE7;
            case 'è': return 0xE8;
            case 'é': return 0xE9;
            case 'ê': return 0xEA;
            case 'ë': return 0xEB;
            case 'ì': return 0xEC;
            case 'í': return 0xED;
            case 'î': return 0xEE;
            case 'ï': return 0xEF;
            case 'ð': return 0xF0;
            case 'ñ': return 0xF1;
            case 'ò': return 0xF2;
            case 'ó': return 0xF3;
            case 'ô': return 0xF4;
            case 'õ': return 0xF5;
            case 'ö': return 0xF6;
            case '÷': return 0xF7;
            case 'ø': return 0xF8;
            case 'ù': return 0xF9;
            case 'ú': return 0xFA;
            case 'û': return 0xFB;
            case 'ü': return 0xFC;
            case 'ý': return 0xFD;
            case 'þ': return 0xFE;
            case 'ÿ': return 0xFF;
            default: return 0x3F;
        }
        // @formatter:on
    }

    public static char byte2char(byte b) {
        return int2char(b & 0xFF);
    }

    private static char int2char(int i) {
        // @formatter:off
        switch(i) {
            case 0x00: return '\0';
            case 0x20: return ' ';
            case 0x21: return '!';
            case 0x22: return '"';
            case 0x23: return '#';
            case 0x24: return '$';
            case 0x25: return '%';
            case 0x26: return '&';
            case 0x27: return '\'';
            case 0x28: return '(';
            case 0x29: return ')';
            case 0x2A: return '*';
            case 0x2B: return '+';
            case 0x2C: return ',';
            case 0x2D: return '-';
            case 0x2E: return '.';
            case 0x2F: return '/';
            case 0x30: return '0';
            case 0x31: return '1';
            case 0x32: return '2';
            case 0x33: return '3';
            case 0x34: return '4';
            case 0x35: return '5';
            case 0x36: return '6';
            case 0x37: return '7';
            case 0x38: return '8';
            case 0x39: return '9';
            case 0x3A: return ':';
            case 0x3B: return ';';
            case 0x3C: return '<';
            case 0x3D: return '=';
            case 0x3E: return '>';
            case 0x3F: return '?';
            case 0x40: return '@';
            case 0x41: return 'A';
            case 0x42: return 'B';
            case 0x43: return 'C';
            case 0x44: return 'D';
            case 0x45: return 'E';
            case 0x46: return 'F';
            case 0x47: return 'G';
            case 0x48: return 'H';
            case 0x49: return 'I';
            case 0x4A: return 'J';
            case 0x4B: return 'K';
            case 0x4C: return 'L';
            case 0x4D: return 'M';
            case 0x4E: return 'N';
            case 0x4F: return 'O';
            case 0x50: return 'P';
            case 0x51: return 'Q';
            case 0x52: return 'R';
            case 0x53: return 'S';
            case 0x54: return 'T';
            case 0x55: return 'U';
            case 0x56: return 'V';
            case 0x57: return 'W';
            case 0x58: return 'X';
            case 0x59: return 'Y';
            case 0x5A: return 'Z';
            case 0x5C: return '\\';
            case 0x5D: return ']';
            case 0x5E: return '^';
            case 0x5F: return '_';
            case 0x60: return '`';
            case 0x61: return 'a';
            case 0x62: return 'b';
            case 0x63: return 'c';
            case 0x64: return 'd';
            case 0x65: return 'e';
            case 0x66: return 'f';
            case 0x67: return 'g';
            case 0x68: return 'h';
            case 0x69: return 'i';
            case 0x6A: return 'j';
            case 0x6B: return 'k';
            case 0x6C: return 'l';
            case 0x6D: return 'm';
            case 0x6E: return 'n';
            case 0x6F: return 'o';
            case 0x70: return 'p';
            case 0x71: return 'q';
            case 0x72: return 'r';
            case 0x73: return 's';
            case 0x74: return 't';
            case 0x75: return 'u';
            case 0x76: return 'v';
            case 0x77: return 'w';
            case 0x78: return 'x';
            case 0x79: return 'y';
            case 0x7A: return 'z';
            case 0x7B: return '{';
            case 0x7C: return '|';
            case 0x7D: return '}';
            case 0x80: return '€';
            //case 0x85: return '​…';
            case 0x86: return '†';
            case 0x88: return 'ˆ';
            case 0x89: return '‰';
            case 0x8A: return 'Š';
            case 0x8B: return '‹';
            case 0x8C: return 'Œ';
            case 0x8E: return 'Ž';
            case 0x8F: return 'è';
            case 0x90: return '•';
            case 0x91: return '‘';
            case 0x92: return '’';
            case 0x93: return '“';
            case 0x94: return '”';
            case 0x95: return '•';
            case 0x98: return '~';
            case 0x99: return '™';
            case 0x9A: return 'š';
            case 0x9B: return '›';
            case 0x9C: return 'œ';
            case 0x9D: return '•';
            case 0x9E: return 'ž';
            case 0x9F: return 'Ÿ';
            case 0xA0: return ' ';
            case 0xA1: return '¡';
            case 0xA2: return '¢';
            case 0xA3: return '£';
            case 0xA4: return '¤';
            case 0xA5: return '¥';
            case 0xA6: return '¦';
            case 0xA7: return '§';
            case 0xA8: return '¨';
            case 0xA9: return '©';
            case 0xAA: return 'ª';
            case 0xAB: return '«';
            case 0xAC: return '¬';
            case 0xAD: return '­';
            case 0xAE: return '®';
            case 0xAF: return '¯';
            case 0xB0: return '°';
            case 0xB1: return '±';
            case 0xB2: return '²';
            case 0xB3: return '³';
            case 0xB4: return '´';
            case 0xB5: return 'µ';
            case 0xB6: return '¶';
            case 0xB7: return '„';
            case 0xB8: return '‚';
            case 0xB9: return '¹';
            case 0xBA: return 'º';
            case 0xBB: return '»';
            case 0xBC: return '←';
            case 0xBD: return '♂';
            case 0xBE: return '♀';
            case 0xBF: return '¿';
            case 0xC0: return 'À';
            case 0xC1: return 'Á';
            case 0xC2: return 'Â';
            case 0xC3: return 'Ã';
            case 0xC4: return 'Ä';
            case 0xC5: return 'Å';
            case 0xC6: return 'Æ';
            case 0xC7: return 'Ç';
            case 0xC8: return 'È';
            case 0xC9: return 'É';
            case 0xCA: return 'Ê';
            case 0xCB: return 'Ë';
            case 0xCC: return 'Ì';
            case 0xCD: return 'Í';
            case 0xCE: return 'Î';
            case 0xCF: return 'Ï';
            case 0xD0: return 'Ð';
            case 0xD1: return 'Ñ';
            case 0xD2: return 'Ò';
            case 0xD3: return 'Ó';
            case 0xD4: return 'Ô';
            case 0xD5: return 'Õ';
            case 0xD6: return 'Ö';
            case 0xD7: return '×';
            case 0xD8: return 'Ø';
            case 0xD9: return 'Ù';
            case 0xDA: return 'Ú';
            case 0xDB: return 'Û';
            case 0xDC: return 'Ü';
            case 0xDD: return 'Ý';
            case 0xDE: return 'Þ';
            case 0xDF: return 'ß';
            case 0xE0: return 'à';
            case 0xE1: return 'á';
            case 0xE2: return 'â';
            case 0xE3: return 'ã';
            case 0xE4: return 'ä';
            case 0xE5: return 'å';
            case 0xE6: return 'æ';
            case 0xE7: return 'ç';
            case 0xE8: return 'è';
            case 0xE9: return 'é';
            case 0xEA: return 'ê';
            case 0xEB: return 'ë';
            case 0xEC: return 'ì';
            case 0xED: return 'í';
            case 0xEE: return 'î';
            case 0xEF: return 'ï';
            case 0xF0: return 'ð';
            case 0xF1: return 'ñ';
            case 0xF2: return 'ò';
            case 0xF3: return 'ó';
            case 0xF4: return 'ô';
            case 0xF5: return 'õ';
            case 0xF6: return 'ö';
            case 0xF7: return '÷';
            case 0xF8: return 'ø';
            case 0xF9: return 'ù';
            case 0xFA: return 'ú';
            case 0xFB: return 'û';
            case 0xFC: return 'ü';
            case 0xFD: return 'ý';
            case 0xFE: return 'þ';
            case 0xFF: return 'ÿ';
            default: return '?';
        }
        // @formatter:on
    }

}
