package skyjed.resources;

public class SkyIQRes extends PropertiesListLoader {

    private static SkyIQRes instance = null;

    public static SkyIQRes getInstance() {
        if(instance == null) {
            instance = new SkyIQRes();
        }
        return instance;
    }

    private SkyIQRes() {
        super("skyjed/resources/SkyIQ.properties");
    }

    public String getIQName(int id) {
        return getValue(id);
    }

    public static class SkyIQName {
        private int id;
        private String name;
        public SkyIQName(int id, String name) {
            this.id = id;
            this.name = name;
        }
        public String toString() {
            return name;
        }
        public int getId() {
            return id;
        }
        public String getName() {
            return name;
        }
    }

    public SkyIQName[] getSkyIQNameList() {
        String[] list = getValuesList();
        SkyIQName[] ret = new SkyIQName[list.length];
        for(int i=0; i<list.length; i++) {
            ret[i] = new SkyIQName(i, list[i]);
        }
        return ret;
    }
}
