package skyjed.resources;

public class SkyPokemonRes extends PropertiesListLoader {

    private static SkyPokemonRes instance = null;

    public static SkyPokemonRes getInstance() {
        if(instance == null) {
            instance = new SkyPokemonRes();
        }
        return instance;
    }

    private SkyPokemonRes() {
        super("skyjed/resources/SkyPokemon.properties");
    }

    public String getPokemonName(int id) {
        return getValue(id);
    }

    public static class SkyPokemonName {
        private int id;
        private String name;
        public SkyPokemonName(int id, String name) {
            this.id = id;
            this.name = name;
        }
        public String toString() {
            return name + " [" + id + "]";
        }
        public int getId() {
            return id;
        }
        public String getName() {
            return name;
        }
    }

    public SkyPokemonName[] getSkyPokemonNameList() {
        String[] list = getValuesList();
        SkyPokemonName[] ret = new SkyPokemonName[list.length];
        for(int i=0; i<list.length; i++) {
            ret[i] = new SkyPokemonName(i, list[i]);
        }
        return ret;
    }
}
